MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023309Community[OCCT] OCCT:Modeling Algorithmspublic2012-07-17 18:022013-04-29 15:23
ReporterPawel 
Assigned Toemv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023309: The 'then' statement is equivalent to the 'else' statement in TopOpeBRep_EdgesFiller.cxx
DescriptionIn method TopOpeBRep_EdgesFiller::SetShapeTransition, line 348.

The else-if-action is equal to the else-action.

I'm not sure about the intention of the method so I just add it to the group of 'Suspicious ifs'.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0023132closedomy Suspicious code snippets 

-  Notes
(0023661)
emv (developer)
2013-03-12 12:01

Git branch CR23309 is ready to be reviewed.
(0023662)
abv (manager)
2013-03-12 12:12

My suspicion is that else-if clause might correspond to FACE-EDGE case
(0023689)
jgv (developer)
2013-03-12 18:33

Reviewed.
(0023722)
mkv (tester)
2013-03-14 15:45

Dear BugMaster,

Branch CR23309 (and products from GIT master) was compiled on Linux and Windows platforms and tested without rebase.
SHA-1: 04ae5b2334417c38044ee6e273343fe19e52793c

Number of compiler warnings:

occt component :
Linux: 3 (3 on master)
Windows: 11 (11 on master)

products component :
Linux: 0 (0 on master)
Windows: 50 (50 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 242969116 / 243421964
Total CPU difference: 16724.459999999977 / 15476.330000000036

Testing on Windows:
Total MEMORY difference: 345993676 / 346193616
Total CPU difference: 16869.296875 / 21619.828125

There are not serious differences in images found by testdiff.

- Related Changesets
occt: master 8c720dc1
Timestamp: 2013-03-12 07:55:20
Author: emv
Details ] Diff ]
0023309: The 'then' statement is equivalent to the 'else' statement in TopOpeBRep_EdgesFiller.cxx.
Removed unnecessary else-if action.
mod - src/TopOpeBRep/TopOpeBRep_EdgesFiller.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-17 18:02 Pawel New Issue
2012-07-17 18:02 Pawel Assigned To => bugmaster
2012-07-17 18:02 Pawel Relationship added child of 0023132
2012-07-17 18:05 Pawel Description Updated View Revisions
2012-08-17 16:45 bugmaster Assigned To bugmaster => emv
2012-08-17 16:45 bugmaster Status new => assigned
2012-10-23 17:09 Pawel Severity just a question => minor
2012-10-24 15:42 abv Target Version => 6.6.0
2013-03-12 12:01 emv Note Added: 0023661
2013-03-12 12:01 emv Assigned To emv => abv
2013-03-12 12:01 emv Status assigned => resolved
2013-03-12 12:11 abv Assigned To abv => jgv
2013-03-12 12:12 abv Note Added: 0023662
2013-03-12 18:33 jgv Note Added: 0023689
2013-03-12 18:33 jgv Status resolved => reviewed
2013-03-12 19:39 mkv Assigned To jgv => mkv
2013-03-14 15:45 mkv Note Added: 0023722
2013-03-14 15:45 mkv Test case number => Not needed
2013-03-14 15:45 mkv Assigned To mkv => bugmaster
2013-03-14 15:45 mkv Status reviewed => tested
2013-03-18 20:48 emv Changeset attached => occt master 8c720dc1
2013-03-18 20:48 emv Assigned To bugmaster => emv
2013-03-18 20:48 emv Status tested => verified
2013-03-18 20:48 emv Resolution open => fixed
2013-04-23 13:35 user533 Status verified => closed
2013-04-29 15:23 user533 Fixed in Version => 6.6.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker